Caura / docs
API Reference

List Document Collections

GET /api/v1/documents/collections — list document collections in a tenant (added in PR #57).

GET
/api/v1/documents/collections

Authorization

APIKeyHeader
headerX-API-Key<token>

Query Parameters

tenant_id*Tenant Id
fleet_id?string|null

Response Body

Successful Response

application/json
  1. response
collections*array<>
count*Count

Number of collections, not total documents.

Example Request
curl -X GET 'https://example.com/api/v1/documents/collections?tenant_id=string'
Example Response
{  "collections": [    {      "name": "string",      "count": 0    }  ],  "count": 0}